| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Attributes | List of all members
IG.Num.ConstPhysical Class Reference

Physical constants including units and standard uncertainty. More...

Collaboration diagram for IG.Num.ConstPhysical:
[legend]

## Static Public Attributes
static readonly PhysicalConstant | LightSpeed
| Speed of light in vacuum (set by definition of meter). More...
static readonly PhysicalConstant | GravitationalConstant
| Gravitational constant (set by definition of meter). More...
static readonly PhysicalConstant | PlanckConstant
| Planck'result constant, ratio between energy of a photon and the frequency of its associated electromagnetic wave. More...
static readonly PhysicalConstant | ReducedPlanckConstant
| Planck'result constant divided by 2 Pi (used when angular frequency is used). More...
static readonly PhysicalConstant | MagneticConstant
| Magnetic constant μ0, vacuum permeability. More...
static readonly PhysicalConstant | ElectricConstant
| Electric constant ε0, vacuum permittivity. More...
static readonly PhysicalConstant | CoulombConstant
| CoulombConstant. 1/(4*Pi*Epsilon0) More...
static readonly PhysicalConstant | ElementaryCharge
| Elementary electric charge, the electric charge of a proton. More...
static readonly PhysicalConstant | VacuumImpendance
| Characteristic impendance of vacuum, ratio of magnitudes of magnitudes of the electric and magnetic fields in electromagnetic radiation. More...
static readonly PhysicalConstant | BohrMagneton
| Bohr Magenton. More...
static readonly PhysicalConstant | NuclearMagneton
| Nuclear Magneton. More...
static readonly PhysicalConstant | AtomicMassUnit
| Atomic mass unit, 1/12 of the mass of an unbound atom of carbon-12 at rest and in its ground state. More...
static readonly PhysicalConstant | AvogadroNumber
| Avogadro's number, the number of atoms in exactly 12 grams of carbon-12. Unit: none. More...
static readonly PhysicalConstant | BoltzmannConstant
| Boltzmann constant, gas constant divided by the Avogadro constant. Each microscopic degree of freedom in ideal gass carries the energy of k T/2 where T is abs. temperature and k is Boltzmann constant. More...
static readonly PhysicalConstant | FaradayConstant
| .Faraday constant, the magnitude of electric charge per mole of electrons. More...
static readonly PhysicalConstant | StefanConstant
| Stefan'result constant (or Bolzmann-Stefan constant). More...
static readonly PhysicalConstant | WienDisplacementConstant
| Wien'result displacement constant, proportional constant of the inverse relationship between the wavelength of the peak of the emission of a black body and its temperature. More...
static readonly PhysicalConstant | BohrRadius
| Bohr Radius. More...
static readonly PhysicalConstant | ElectronMass
| Electron mass. Unit: kg. More...
static readonly PhysicalConstant | ProtonMass
| Proton mass. Unit: kg. More...
static readonly PhysicalConstant | NeutronMass
| Neutron mass. Unit: kg. More...
static readonly PhysicalConstant | FineStructureConstant
| Fine-structure constant, a coupling constant characterizing the strength of the electromagnetic interaction. Unit: /. More...
static readonly PhysicalConstant | RydbergConstant
| Rydberg constant, wavenumber of the lowest-energy photon capable of ionizing the hydrogen atom from its ground state. More...
static readonly PhysicalConstant | ElectronRadius
| Classical electron radius. Unit: numrows. More...
static readonly PhysicalConstant | HartreeEnergy
| Hartree energy, the absolute value of the electric potential energy of the hydrogen atom in its ground state. More...
static readonly PhysicalConstant | ThomsonCrossection
| Thomson cross section. More...
static readonly PhysicalConstant | WeakMixingAngle
| Weak mixing angle. More...
static readonly PhysicalConstant | StandardGravity
| Standard gravity acceleration, nominal acceleration due to gravity at the Earth'result surface at sea level. More...
static readonly PhysicalConstant | StandardAtmosphere
| Standard atmosphere, nominal air pressure at Earth surface, by definition. More...

## Detailed Description

Physical constants including units and standard uncertainty.

See also:

Wikipedia - Physical constants http://en.wikipedia.org/wiki/Physical_constant

Units and constants handbook, http://www.knowledgedoor.com/2/units_and_constants_handbook/index.html

## Member Data Documentation

readonly PhysicalConstant IG.Num.ConstPhysical.LightSpeed
| static

Initial value:
= new PhysicalConstant(
299792458, 0 ,
new SI[] { SI.m },
new SI[] { SI.s } )

Speed of light in vacuum (set by definition of meter).

Unit: m/s

readonly PhysicalConstant IG.Num.ConstPhysical.GravitationalConstant
| static

Initial value:
= new PhysicalConstant(
6.67428e-11, 1.0e-4 ,
new SI[] { SI.m, SI.m, SI.m },
new SI[] { SI.kg, SI.s, SI.s } )

Gravitational constant (set by definition of meter).

Unit: m^3/(kg s^2)

readonly PhysicalConstant IG.Num.ConstPhysical.PlanckConstant
| static

Initial value:
= new PhysicalConstant(
6.62606896e-34d, 5.0e-8,
new SI[] { SI.kg, SI.m, SI.m },
new SI[] { SI.s } )

Planck'result constant, ratio between energy of a photon and the frequency of its associated electromagnetic wave.

Unit: kg m^2/(s).

readonly PhysicalConstant IG.Num.ConstPhysical.ReducedPlanckConstant
| static

Initial value:
= new PhysicalConstant(
1.054571628e-34d, 5.0e-8,
new SI[] { SI.kg, SI.m, SI.m },
new SI[] { SI.s } )

Planck'result constant divided by 2 Pi (used when angular frequency is used).

Unit: kg m^2/(s).

readonly PhysicalConstant IG.Num.ConstPhysical.MagneticConstant
| static

Initial value:
= new PhysicalConstant(
4*Math.PI*1.0e-7,
0,
new SI[] { SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.A, SI.A } )

Magnetic constant μ0, vacuum permeability.

Unit: m*kg/(s^2 A^2).

readonly PhysicalConstant IG.Num.ConstPhysical.ElectricConstant
| static

Initial value:
= new PhysicalConstant(
8.854187817e-12, 0,
new SI[] { SI.s, SI.s, SI.s, SI.s, SI.A, SI.A },
new SI[] { SI.kg, SI.m, SI.m, SI.m } )

Electric constant ε0, vacuum permittivity.

Unit:F/m = A^2*s^4/(kg*m^3)

readonly PhysicalConstant IG.Num.ConstPhysical.CoulombConstant
| static

Initial value:
= new PhysicalConstant(
8.9875517874e9, 0,
new SI[] { SI.kg, SI.m, SI.m, SI.m },
new SI[] { SI.s, SI.s, SI.s, SI.s, SI.A, SI.A } )

CoulombConstant. 1/(4*Pi*Epsilon0)

Unit: m/F = kg*m^3/(A^2*s^4).

readonly PhysicalConstant IG.Num.ConstPhysical.ElementaryCharge
| static

Initial value:
= new PhysicalConstant(
1.602176487e-19, 2.5e-8,
new SI[] { SI.s, SI.A },
null )

Elementary electric charge, the electric charge of a proton.

Unit: C = A*s.

readonly PhysicalConstant IG.Num.ConstPhysical.VacuumImpendance
| static

Initial value:
= new PhysicalConstant(
376.730313461, 0,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.s, SI.A, SI.A } )

Characteristic impendance of vacuum, ratio of magnitudes of magnitudes of the electric and magnetic fields in electromagnetic radiation.

Unit: Ω = kg*m^2/(s^3*A^2)

readonly PhysicalConstant IG.Num.ConstPhysical.BohrMagneton
| static

Initial value:
= new PhysicalConstant(
9.27400915e-24, 2.5e-8,
new SI[] { SI.m, SI.m, SI.A },
null )

Bohr Magenton.

Unit: J/T = m^2*A.

readonly PhysicalConstant IG.Num.ConstPhysical.NuclearMagneton
| static

Initial value:
= new PhysicalConstant(
5.05078343e-27, 8.6e-8,
new SI[] { SI.m, SI.m, SI.A },
new SI[] { } )

Nuclear Magneton.

Unit: J/T = m^2*A.

readonly PhysicalConstant IG.Num.ConstPhysical.AtomicMassUnit
| static

Initial value:
= new PhysicalConstant(
1.66053886e-27, 1.7e-7,
new SI[] { SI.kg },
null )

Atomic mass unit, 1/12 of the mass of an unbound atom of carbon-12 at rest and in its ground state.

Unit: kg.

readonly PhysicalConstant IG.Num.ConstPhysical.AvogadroNumber
| static

Initial value:
= new PhysicalConstant(
6.0221415e23, 1.7e-7,
null,
null )

Avogadro's number, the number of atoms in exactly 12 grams of carbon-12. Unit: none.

readonly PhysicalConstant IG.Num.ConstPhysical.BoltzmannConstant
| static

Initial value:
= new PhysicalConstant(
1.3806505e-23, 1.8e-6,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.K } )

Boltzmann constant, gas constant divided by the Avogadro constant. Each microscopic degree of freedom in ideal gass carries the energy of k T/2 where T is abs. temperature and k is Boltzmann constant.

Unit: J/K = m^2*kg/(s^2*K).

readonly PhysicalConstant IG.Num.ConstPhysical.FaradayConstant
| static

Initial value:
= new PhysicalConstant(
96485.3383, 8.6e-8,
new SI[] { SI.s, SI.A },
new SI[] { SI.mol } )

.Faraday constant, the magnitude of electric charge per mole of electrons.

Unit: C/mol = A*s/mol.

readonly PhysicalConstant IG.Num.ConstPhysical.StefanConstant
| static

Initial value:
= new PhysicalConstant(
5.670400e-8, 7.0e-6,
new SI[] { SI.kg },
new SI[] { SI.s, SI.s, SI.s, SI.K, SI.K, SI.K, SI.K } )

Stefan'result constant (or Bolzmann-Stefan constant).

Unit: W/m^2 K^4 = kg/(s^3*K).

readonly PhysicalConstant IG.Num.ConstPhysical.WienDisplacementConstant
| static

Initial value:
= new PhysicalConstant(
2.8977685e-3, 1.7e-6,
new SI[] { SI.m, SI.K },
new SI[] { } )

Wien'result displacement constant, proportional constant of the inverse relationship between the wavelength of the peak of the emission of a black body and its temperature.

Unit: m*K.

readonly PhysicalConstant IG.Num.ConstPhysical.BohrRadius
| static

Initial value:
= new PhysicalConstant(
5.2917720859e-11, 3.3e-9,
new SI[] { SI.m },
new SI[] { } )

Bohr Radius.

Unit: m.

readonly PhysicalConstant IG.Num.ConstPhysical.ElectronMass
| static

Initial value:
= new PhysicalConstant(
9.10938215e-31, 5.0e-8,
new SI[] { SI.kg },
null )

Electron mass. Unit: kg.

readonly PhysicalConstant IG.Num.ConstPhysical.ProtonMass
| static

Initial value:
= new PhysicalConstant(
1.672621637e-26, 5.0e-8,
new SI[] { SI.kg },
new SI[] { } )

Proton mass. Unit: kg.

readonly PhysicalConstant IG.Num.ConstPhysical.NeutronMass
| static

Initial value:
= new PhysicalConstant(
1.67492729e-27, 5.0e-8,
new SI[] { SI.kg },
new SI[] { } )

Neutron mass. Unit: kg.

readonly PhysicalConstant IG.Num.ConstPhysical.FineStructureConstant
| static

Initial value:
= new PhysicalConstant(
7.2973525376e-3, 6.8e-10,
new SI[] { } ,
new SI[] { } )

Fine-structure constant, a coupling constant characterizing the strength of the electromagnetic interaction. Unit: /.

readonly PhysicalConstant IG.Num.ConstPhysical.RydbergConstant
| static

Initial value:
= new PhysicalConstant(
10973731.568525, 6.6e-12,
new SI[] { },
new SI[] { SI.m } )

Rydberg constant, wavenumber of the lowest-energy photon capable of ionizing the hydrogen atom from its ground state.

Unit: 1/m.

readonly PhysicalConstant IG.Num.ConstPhysical.ElectronRadius
| static

Initial value:
= new PhysicalConstant(
2.8179402894e-15, 2.1e-9,
new SI[] { SI.m },
null )

Classical electron radius. Unit: numrows.

readonly PhysicalConstant IG.Num.ConstPhysical.HartreeEnergy
| static

Initial value:
= new PhysicalConstant(
4.35974417e-18, 1.7e-7,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s } )

Hartree energy, the absolute value of the electric potential energy of the hydrogen atom in its ground state.

Unit: J = m^2*kg/s^2.

readonly PhysicalConstant IG.Num.ConstPhysical.ThomsonCrossection
| static

Initial value:
= new PhysicalConstant(
0.665245873e-28, 2.0e-8,
null,
new SI[] { SI.m, SI.m } )

Thomson cross section.

Unit: 1/m^2.

readonly PhysicalConstant IG.Num.ConstPhysical.WeakMixingAngle
| static

Initial value:
= new PhysicalConstant(
0.22215, 3.4e-3,
null, null )

Weak mixing angle.

Unit: none.

readonly PhysicalConstant IG.Num.ConstPhysical.StandardGravity
| static

Initial value:
= new PhysicalConstant(
9.80665, 0,
new SI[] { SI.m },
new SI[] { SI.s, SI.s } )

Standard gravity acceleration, nominal acceleration due to gravity at the Earth'result surface at sea level.

Unit: m/s^2.

readonly PhysicalConstant IG.Num.ConstPhysical.StandardAtmosphere
| static

Initial value:
= new PhysicalConstant(
101325, 0,
new SI[] { SI.kg },
new SI[] { SI.m, SI.s, SI.s } )

Standard atmosphere, nominal air pressure at Earth surface, by definition.

Unit: Pa = N/m^2 = kg/(m*s^2).

The documentation for this class was generated from the following file:

- igbase/numeric/Constants.cs